Subject: Re: [PATCHv2 5/6] gitweb: last-modified time should be commiter, not author

From: Jakub Narebski <[email-masked]>
Date: Thu, 12 Feb 2009 11:11:44 +0100

On Thu, 12 Feb 2009, Giuseppe Bilotta wrote:
> On Thu, Feb 12, 2009 at 10:07 AM, Jakub Narebski <[email-masked]> 
> wrote: 

>> You can disable reflog by setting core.logAllRefUpdates to false...
>> which of course do not remove reflog.  But checking for this config
>> variable in gitweb shouldn't be too hard, although you would need
>> to somehow change assumption that we are interested only in ^gitweb\.
>> section of config.
>>
>> There is other side of this issue: reflog is expired, so you can
>> have empty reflog if branch was updated long time ago.
> 
> I'm thinking that what I could do (that should always work as
> expected) is to consider as 'last modified' the most recent date
> between the commit date and the reflog date (if the reflog is found).
> This basically implements an 'automatic' fallback for
> disabled/obsolete/expired reflog to commit date. (Of course, assuming
> the last commit doesn't suffer from a ridicously long clockskew in the
> future.)

That is, I think, a very good idea. It also covers situation where we
use non-head 'h'/'hb', for example explicit SHA-1 (not that it makes
sense, but...) 
 
Well, that beside my little doubt whether using publish date is a good
idea or not...

P.S. What would you do for explicit and implicit HEAD? HEAD reflog,
or 'current branch' reflog?
-- 
Jakub Narebski
Poland